-- register.lua
-- Registers the AutomaticBeaconLights specialization and attaches it to drivable vehicle types.

if g_specializationManager:getSpecializationByName("AutomaticBeaconLights") == nil then
    g_specializationManager:addSpecialization("AutomaticBeaconLights", "AutomaticBeaconLights", Utils.getFilename("AutomaticBeaconLights.lua", g_currentModDirectory), nil)
    print("AutomaticBeaconLights: Specialization registered")
end

for vehicleTypeName, vehicleType in pairs(g_vehicleTypeManager.types) do
    if SpecializationUtil.hasSpecialization(Drivable, vehicleType.specializations) then
        g_vehicleTypeManager:addSpecialization(vehicleTypeName, "AutomaticBeaconLights")
        print("AutomaticBeaconLights: Added to vehicle type " .. vehicleTypeName)
    end
end